#!/usr/bin/env node
import { spawn }     from 'child_process';
import fs            from 'fs';
import { Command }   from 'commander';
import { formatWithCollapse } from '../lib/collapsor.js';

const program = new Command();
program
  .argument('<cmd...>', 'Comando a ejecutar (ej: "npm run dev")')
  .option('--filter <word>', 'Filtra líneas que contengan la palabra')
  .option('--export <file>', 'Guarda la salida en un archivo')
  .parse();

const opts = program.opts();
const cmd  = program.args.join(' ');
const child = spawn(cmd, { shell: true });

function onData(data) {
  const lines = data.toString().split('\n');
  const formatted = formatWithCollapse(lines, opts);
  formatted.forEach(l => console.log(l));
  if (opts.export) fs.appendFileSync(opts.export, formatted.join('\n') + '\n');
}

child.stdout.on('data', onData);
child.stderr.on('data', onData);