export const regexes = {
  // frameworks (múltiples apariciones, case-insensitive)
  frameworks: /\b(Next\.js|React|NestJS|Vite|Java|Spring|Node\.js)\b/gi,

  // key: value (para JSON estilo util.inspect)
  kvLine: /^(\s*)([A-Za-z0-9_$-]+)(:)\s*(.*)$/,

  // HTTP methods al inicio
  httpMethod: /^\s*(GET|POST|PUT|DELETE)\b/i,

  // niveles al inicio
  logLevel: /^\s*(ERROR|WARN|INFO|DEBUG|TRACE|FATAL)\b/i,

  // keywords al inicio de línea
  keywordLine: /^\s*(Compiling|Starting|Ready|Running|Finished|Building|Deployed|Shutdown)\b/,

  // versiones semánticas
  version: /\b\d+\.\d+\.\d+\b/g,

  // URLs absolutas y localhost:puerto
  url: /https?:\/\/[^\s'"]+/g,
  localhost: /\blocalhost:\d+\b/g,

  // strings, números y booleanos/null puros
  doubleQuotedString: /"([^"]*?)"/g,
  singleQuotedString: /'([^']*?)'/g,
  time: /\b\d+ms\b/g,
  number: /\b\d+\b/g,
  bool: /\b(?:true|false)\b/g,
  nil: /\b(?:null|undefined)\b/g,

  // checks y crosses como caracteres únicos
  checks: /✓/g,
  cross: /✖|×/g,

  // errores comunes de Java/Spring Boot
  javaError: /\b(Exception|Error|Caused by|Stacktrace|NullPointerException|IllegalArgumentException|RuntimeException)\b/gi,

  // advertencias comunes de linters
  linterWarning: /\b(warning|deprecated|unused|unexpected|missing|invalid|undefined)\b/gi,
};